# Local IPs (local_ips)

Extension that allows users to create a virtual IP that can later be assigned to multiple ports/VMs (similar to anycast IP) and is guaranteed to only be reachable within the same physical server/node boundaries

Network v2

## local ip association create

Create Local IP Association

    openstack local ip association create
        [--fixed-ip <fixed-ip>]
        [--project-domain <project-domain>]
        <local-ip>
        <fixed-port>

--fixed-ip <fixed-ip>

  Fixed IP for Local IP Association

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

local-ip

  Local IP that the port association belongs to (Name or ID)

fixed-port

  The ID or Name of Port to allocate Local IP Association

## local ip association delete

Delete Local IP association(s)

    openstack local ip association delete
        <local-ip>
        <fixed-port-id>
        [<fixed-port-id> ...]

local-ip

  Local IP that the port association belongs to (Name or ID)

fixed-port-id

  The fixed port ID of Local IP Association

## local ip association list

List Local IP Associations

    openstack local ip association list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--fixed-port <fixed-port>]
        [--fixed-ip <fixed-ip>]
        [--host <host>]
        [--project-domain <project-domain>]
        <local-ip>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--fixed-port <fixed-port>

  List only local IP assocations with the specified fixed IP port (name or ID)

--fixed-ip <fixed-ip>

  List only local IP associations with the specified fixed IP

--host <host>

  List only local IP associations with the specified host

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

local-ip

  Local IP that port associations belongs to

## local ip create

Create Local IP

    openstack local ip create
        [--name <name>]
        [--description <description>]
        [--network <network>]
        [--local-port <local-port>]
        [--local-ip-address <local-ip-address>]
        [--ip-mode <ip-mode>]
        [--project-domain <project-domain>]

--name <name>

  New Local IP name

--description <description>

  Description for Local IP

--network <network>

  Network to allocate Local IP from (name or ID)

--local-port <local-port>

  Port to allocate Local IP from (name or ID)

--local-ip-address <local-ip-address>

  IP address or CIDR for Local IP

--ip-mode <ip-mode>

  IP mode to use for Local IP

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## local ip delete

Delete Local IP(s)

    openstack local ip delete <local-ip> [<local-ip> ...]

local-ip

  Local IP(s) to delete (name or ID)

## local ip list

List Local IPs

    openstack local ip list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name <name>]
        [--project <project>]
        [--network <network>]
        [--local-port <local-port>]
        [--local-ip-address <local-ip-address>]
        [--ip-mode <ip_mode>]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  List only local IP(s) with the specified name

--project <project>

  List only local IP(s) with the specified project (name or ID)

--network <network>

  List only local IP(s) with the specified network (name or ID)

--local-port <local-port>

  List only local IP(s) with the specified port (name or ID)

--local-ip-address <local-ip-address>

  List only local IP(s) with the specified IP address

--ip-mode <ip_mode>

  List only local IP(s) with the specified IP mode

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## local ip set

Set Local IP properties

    openstack local ip set
        [--name <name>]
        [--description <description>]
        <local-ip>

--name <name>

  Set local IP name

--description <description>

  Set Local IP description

local-ip

  Local IP to modify (name or ID)

## local ip show

Display Local IP details

    openstack local ip show <local-ip>

local-ip

  Local IP to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.